# Namespace: contracts

## CaskSDK.contracts

Create instances of Cask contracts as an ethers.Contract. Creating a Cask contract automatically looks up the address from the environment and current connected chain.

### Members

#### (static, constant) contracts

##### Properties:

Name | Type | Description
--- | --- | ---
`CaskVault` | ethers.Contract | Cask vault contract.
`CaskSubscriptions` | ethers.Contract | Cask subscriptions contract.
`CaskSubscriptionPlans` | ethers.Contract | Cask subscription plans contract.
`AggregatorV3Interface` | ethers.Contract | Chainlink price oracle. Uses either the supplied provider, or the connection from the ethersConnection.
`ERC20` | ethers.Contract | Get an ERC20 token instance. Uses either the supplied provider, or the connection from the ethersConnection.